Loading...
Searching...
No Matches
RDKit::AdditionalOutput Struct Reference

`#include <FingerprintGenerator.h>`

## Public Types

using | atomToBitsType = std::vector< std::vector< std::uint64_t > >
using | bitInfoMapType = std::map< std::uint64_t, std::vector< std::pair< std::uint32_t, std::uint32_t > > >
using | bitPathsType = std::map< std::uint64_t, std::vector< std::vector< int > > >
using | atomCountsType = std::vector< unsigned int >

## Public Member Functions

void | allocateAtomToBits ()
void | allocateBitInfoMap ()
void | allocateBitPaths ()
void | allocateAtomCounts ()

## Public Attributes

atomToBitsType * | atomToBits = nullptr
bitInfoMapType * | bitInfoMap = nullptr
bitPathsType * | bitPaths = nullptr
atomCountsType * | atomCounts = nullptr

## Detailed Description

Definition at line 26 of file FingerprintGenerator.h.

## Member Typedef Documentation

## atomCountsType

using RDKit::AdditionalOutput::atomCountsType = std::vector<unsigned int>

Definition at line 32 of file FingerprintGenerator.h.

## atomToBitsType

using RDKit::AdditionalOutput::atomToBitsType = std::vector<std::vector<std::uint64_t> >

Definition at line 27 of file FingerprintGenerator.h.

## bitInfoMapType

using RDKit::AdditionalOutput::bitInfoMapType = std::map<std::uint64_t, std::vector<std::pair<std::uint32_t, std::uint32_t> >>

Definition at line 28 of file FingerprintGenerator.h.

## bitPathsType

using RDKit::AdditionalOutput::bitPathsType = std::map<std::uint64_t, std::vector<std::vector<int> >>

Definition at line 31 of file FingerprintGenerator.h.

## Member Function Documentation

## allocateAtomCounts()

void RDKit::AdditionalOutput::allocateAtomCounts | ( |  | ) |

inline

Definition at line 61 of file FingerprintGenerator.h.

## allocateAtomToBits()

void RDKit::AdditionalOutput::allocateAtomToBits | ( |  | ) |

inline

Definition at line 49 of file FingerprintGenerator.h.

## allocateBitInfoMap()

void RDKit::AdditionalOutput::allocateBitInfoMap | ( |  | ) |

inline

Definition at line 53 of file FingerprintGenerator.h.

## allocateBitPaths()

void RDKit::AdditionalOutput::allocateBitPaths | ( |  | ) |

inline

Definition at line 57 of file FingerprintGenerator.h.

## Member Data Documentation

## atomCounts

atomCountsType* RDKit::AdditionalOutput::atomCounts = nullptr

Definition at line 47 of file FingerprintGenerator.h.

## atomToBits

atomToBitsType* RDKit::AdditionalOutput::atomToBits = nullptr

Definition at line 35 of file FingerprintGenerator.h.

## bitInfoMap

bitInfoMapType* RDKit::AdditionalOutput::bitInfoMap = nullptr

Definition at line 39 of file FingerprintGenerator.h.

## bitPaths

bitPathsType* RDKit::AdditionalOutput::bitPaths = nullptr

Definition at line 43 of file FingerprintGenerator.h.

The documentation for this struct was generated from the following file:

- FingerprintGenerator.h